Firefox : exploser le nombre de processus

Le par  |  27 commentaire(s)
Firefox-Test-Pilot

Si la consommation de mémoire n'est a priori pas un problème, il est possible d'augmenter le nombre de processus pour le contenu avec Firefox. Une option cachée qui sera prochainement visible dans les paramètres du navigateur.

Avec la dernière version 54 de Firefox, le navigateur de Mozilla a étendu la gestion multiprocessus. Toutefois, le nécessaire a été fait pour ne pas pénaliser outre mesure la consommation de mémoire RAM avec une limite de jusqu'à quatre processus pour le contenu.

Firefox-addonsCet équilibre, les utilisateurs aventureux peuvent le rompre ou tenter de trouver un meilleur compromis dans la mesure où leur appareil dispose de suffisamment de mémoire. La manœuvre passe par " about:config " dans la barre d'adresse.

Paramétrable, la valeur du nombre entier de l'option " dom.ipc.processCount " détermine le maximum atteignable de processus pour le contenu.

Avec 8 Go de mémoire RAM ou moins, un changement n'est pas forcément préconisé. Au-delà, cela pourrait permettre de rendre Firefox plus rapide dans certains cas d'ouverture de beaucoup d'onglets.

Ultérieurement, Mozilla prévoit de rendre cette option directement accessible depuis les paramètres de Firefox.

Complément d'information

Vos commentaires Page 1 / 3

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #1968921
Bien joli d'exploser ceci ou cela mais il faudrait que FF marche un peu mieux en général: problèmes récurrents avec les https, problèmes d'affichages video, problèmes de connexion ou de lien inclus avec certains sites. J'en oublie ! Tous ces problèmes disparaissent avec Vivaldi que j'utilise en secours. Il faut vraiment que je sois fidèle à FF pour continuer à l'utiliser par défaut. J'ai essayé tous ses clones (Waterfox, Cyberfox.....), c'est pareil ou pire.
Le #1968923
version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..
Le #1968925
Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...
Le #1968929
Subutox a écrit :

Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...


C'est exactement ça : à compter de la v57, seules les webextensions seront supportées (https://www.macg.co/logiciels/2017/05/firefox-57-la-version-du-renouvellement-98432) et un paquet de développeurs ont déjà annoncé ne pas traduire leurs extensions. Elle risque de piquer cette future version...
Le #1968932
Subutox a écrit :

Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...


Tu édites ce fichier (ou tu le crées s'il n'existe pas)

/etc/apt/preferences

Et dedans tu colles:

Package: nom_du_paquet
Pin: version du paquet à conserver
Pin-priority: 1001

En remplaçant "nom_du_paquet" par le nom du paquet à conserver et "version du paquet à conserver" par la version que tu veux conserver.

Le tour est joué (ce que je t'ai dit tu l'as un faisant un man apt-get )

Le #1968934
Kiriito a écrit :

Subutox a écrit :

Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...


C'est exactement ça : à compter de la v57, seules les webextensions seront supportées (https://www.macg.co/logiciels/2017/05/firefox-57-la-version-du-renouvellement-98432) et un paquet de développeurs ont déjà annoncé ne pas traduire leurs extensions. Elle risque de piquer cette future version...


Ben moi ça me fâche grandement. Je veux bien tester la nouvelle sur une MV ou en parallèle le temps de voir, on ne sait jamais, mais je voudrais bien empêcher la mise à jour qui sera automatique sur mon Kubuntu.
Je ne vais pas ne plus faire aucune mise à jour à cause de ça...

Heureusement au pire des cas j'aurais Chromium.
Le #1968935
dotto a écrit :

Subutox a écrit :

Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...


Tu édites ce fichier (ou tu le crées s'il n'existe pas)

/etc/apt/preferences

Et dedans tu colles:

Package: nom_du_paquet
Pin: version du paquet à conserver
Pin-priority: 1001

En remplaçant "nom_du_paquet" par le nom du paquet à conserver et "version du paquet à conserver" par la version que tu veux conserver.

Le tour est joué (ce que je t'ai dit tu l'as un faisant un man apt-get )


Bordel je l'ai déjà lu le "man" en plus.
Merci à toi, je vais noter ça dans un coin de ma tête.
Je me sert d'apt au lieu d'apt-get désormais, au moins j'ai une barre de progression colorée lors de l'installation, et le pourcentage, on sait où on en est .
Le #1968936
"Si la consommation de mémoire n'est a priori pas un problème, il est possible d'augmenter le nombre de processus pour le contenu avec Firefox"

Haha, on parle bien de firefox ?

Le #1968939
Subutox a écrit :

dotto a écrit :

Subutox a écrit :

Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Je suis d'accord (même si je suis en Firefox 54, pas le choix, je suis les mises à jour de Kubuntu). Même dans les commentaires des extensions sur le site de Mozilla je vois plein de gens qui parlent du chemin pris par Mozilla qui va vers l'autodestruction.Les extensions sont censées devenir des web-extensions aussi si j'ai bien saisi.
Il va falloir que je surveille les mises à jours pour ne pas me retrouver un jour avec un Firefox qui aura changé du tout au tout (mais je ne sais pas s'il est possible d'exclure certaines mises à jours lorsque je fais mes "sudo apt update && sudo apt upgrade")...


Tu édites ce fichier (ou tu le crées s'il n'existe pas)

/etc/apt/preferences

Et dedans tu colles:

Package: nom_du_paquet
Pin: version du paquet à conserver
Pin-priority: 1001

En remplaçant "nom_du_paquet" par le nom du paquet à conserver et "version du paquet à conserver" par la version que tu veux conserver.

Le tour est joué (ce que je t'ai dit tu l'as un faisant un man apt-get )


Bordel je l'ai déjà lu le "man" en plus.
Merci à toi, je vais noter ça dans un coin de ma tête.
Je me sert d'apt au lieu d'apt-get désormais, au moins j'ai une barre de progression colorée lors de l'installation, et le pourcentage, on sait où on en est .


moi j'utilise pacman (sous manjaro) avec l'option "eycandy" du coup j'ai un pacman qui défile comme barre de progression. Complètement débile, mais j'adore
Le #1968951
Vikingfr a écrit :

version 54 ! Waouh .. je suis toujours en 47, sinon les plugins que j’utilise pour travailler ne fonctionnent plus...
Avoir un firefox plus fluide, mais moins fonctionnel, aucun intérêt..


Fais quand même attention aux failles non corrigées dans ta version
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]